package com.yihu.jw.restmodel.hospital.prescription;

import com.yihu.jw.restmodel.UuidIdentityVOWithOperator;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;


/**
 * 
 * 处方流程步骤记录表vo
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * Administrator 	1.0  2019年05月16日 Created
 *
 * </pre>
 * @since 1.
 */
@ApiModel(value = "WlyyPrescriptionLogVO", description = "处方流程步骤记录表")
public class WlyyPrescriptionLogVO extends UuidIdentityVOWithOperator {

    /**
	 * 
	 */
	@ApiModelProperty(value = "", example = "模块1")
    private String saasId;

    /**
	 * 处方code 关联表wlyy_prescription id
	 */
	@ApiModelProperty(value = "处方code 关联表wlyy_prescription id", example = "模块1")
    private String prescriptionCode;

    /**
	 * 创建时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	@ApiModelProperty(value = "创建时间", example = "模块1")
    private Date createTime;

    /**
	 * 类型: -1 失效 1HIS对接 2易联众对接  3创建处方 4 审核  5付款 6 配送 7完成 8物流对接
	 */
	@ApiModelProperty(value = "类型: -1 失效 1HIS对接 2易联众对接  3创建处方 4 审核  5付款 6 配送 7完成 8物流对接", example = "模块1")
    private Integer type;

    /**
	 * (-2 患者自己取消 -1 审核不通过 , 0 审核中, 10 审核通过/待支付 ,21支付失败  20 配药中/支付成功, 21 等待领药 ,30 配送中 ,100配送成功/已完成)
	 */
	@ApiModelProperty(value = "(-2 患者自己取消 -1 审核不通过 , 0 审核中, 10 审核通过/待支付 ,21支付失败  20 配药中/支付成功, 21 等待领药 ,30 配送中 ,100配送成功/已完成)", example = "模块1")
    private Integer status;

    /**
	 * 医生或者患者code
	 */
	@ApiModelProperty(value = "医生或者患者code", example = "模块1")
    private String userCode;

    /**
	 * 医生或者患者name
	 */
	@ApiModelProperty(value = "医生或者患者name", example = "模块1")
    private String userName;

    /**
	 * 1 患者 2医生
	 */
	@ApiModelProperty(value = "1 患者 2医生", example = "模块1")
    private Integer userType;

    /**
	 * 医院id
	 */
	@ApiModelProperty(value = "医院id", example = "模块1")
    private String hospital;

    /**
	 * 医院名称
	 */
	@ApiModelProperty(value = "医院名称", example = "模块1")
    private String hospitalName;

    /**
	 * 操作是否成功 1成功 0失败
	 */
	@ApiModelProperty(value = "操作是否成功 1成功 0失败", example = "模块1")
    private Integer flag;

    /**
	 * 备注信息
	 */
	@ApiModelProperty(value = "备注信息", example = "模块1")
    private String remark;


    public String getSaasId() {
        return saasId;
    }
    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

    public String getPrescriptionCode() {
        return prescriptionCode;
    }
    public void setPrescriptionCode(String prescriptionCode) {
        this.prescriptionCode = prescriptionCode;
    }

    public Date getCreateTime() {
        return createTime;
    }
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getType() {
        return type;
    }
    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getStatus() {
        return status;
    }
    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getUserCode() {
        return userCode;
    }
    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getUserName() {
        return userName;
    }
    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getUserType() {
        return userType;
    }
    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public String getHospital() {
        return hospital;
    }
    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    public String getHospitalName() {
        return hospitalName;
    }
    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public Integer getFlag() {
        return flag;
    }
    public void setFlag(Integer flag) {
        this.flag = flag;
    }

    public String getRemark() {
        return remark;
    }
    public void setRemark(String remark) {
        this.remark = remark;
    }


}